Simulations
Create Wire Drawdown
This API allows you to simulate the creation of Wire Drawdown for testing purposes.
| Verb | POST |
| URL | https://api.s.unit.sh/sandbox/wire-drawdowns |
| Data Type | wireDrawdown |
| Timeout (Seconds) | 5 |
Attributes
amount
integer
The amount (in cents).
description
string
Wire drawdown description (max 50 characters).
Relationships
Example Request:
curl -X POST 'https://api.s.unit.sh/sandbox/wire-drawdowns'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "wireDrawdown",
"attributes": {
"amount": 200
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "10000"
}
}
}
}
}'
Example Response:
{
"type": "wireDrawdown",
"id": "10000",
"attributes": {
"createdAt": "2024-10-29T21:35:58.898Z",
"amount": 97,
"direction": "Incoming",
"counterparty": {
"name": "ACME CONSTRUCTION SERVICES LLC",
"routingNumber": "121000248",
"accountNumber": "9876543210"
},
"imad": "20241029MMAAAAAA033351",
"omad": "20241029MMBBBBBB00041910291735FT03"
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "10000"
}
},
"customer": {
"data": {
"type": "customer",
"id": "10000"
}
}
}
}